Package be.vlaanderen.mercurius.stay.schemas.v1

# Class EWZCfinDF004ModifyAdmissionRequest

java.lang.Object
be.vlaanderen.mercurius.stay.schemas.v1.EWZCfinDF004ModifyAdmissionRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class EWZCfinDF004ModifyAdmissionRequest extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MessageMetadata" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}MessageMetadataType"/>
             <element name="InstitutionMetadata" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}InstitutionMetadataType" minOccurs="0"/>
             <element name="ModifiedAdmission" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}ModifyAdmissionType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EWZCfinDF004ModifyAdmissionRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InstitutionMetadataType`
  `getInstitutionMetadata()`
  Extra informatie over de voorziening waar de bewoner is opgenomen.
  `MessageMetadataType`
  `getMessageMetadata()`
  Tracing informatie
  `ModifyAdmissionType`
  `getModifiedAdmission()`
  Wijziging van een bestaande opname van een bewoner
  `void`
  `setInstitutionMetadata(InstitutionMetadataType value)`
  Sets the value of the institutionMetadata property.
  `void`
  `setMessageMetadata(MessageMetadataType value)`
  Sets the value of the messageMetadata property.
  `void`
  `setModifiedAdmission(ModifyAdmissionType value)`
  Sets the value of the modifiedAdmission property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EWZCfinDF004ModifyAdmissionRequest

    public EWZCfinDF004ModifyAdmissionRequest()

- ## Method Details

  - ### getMessageMetadata

    public MessageMetadataType getMessageMetadata()
    Tracing informatie
    Returns:
      possible object is `MessageMetadataType`

  - ### setMessageMetadata

    public void setMessageMetadata(MessageMetadataType value)
    Sets the value of the messageMetadata property.
    Parameters:
      `value` - allowed object is `MessageMetadataType`
    See Also:
      - `getMessageMetadata()`

  - ### getInstitutionMetadata

    public InstitutionMetadataType getInstitutionMetadata()
    Extra informatie over de voorziening waar de bewoner is opgenomen. Deze gegevens zijn voorzien voor toekomstig gebruik. In eerste fase moet dit niet ingevuld worden. Verdere informatie volgt later.
    Returns:
      possible object is `InstitutionMetadataType`

  - ### setInstitutionMetadata

    public void setInstitutionMetadata(InstitutionMetadataType value)
    Sets the value of the institutionMetadata property.
    Parameters:
      `value` - allowed object is `InstitutionMetadataType`
    See Also:
      - `getInstitutionMetadata()`

  - ### getModifiedAdmission

    public ModifyAdmissionType getModifiedAdmission()
    Wijziging van een bestaande opname van een bewoner
    Returns:
      possible object is `ModifyAdmissionType`

  - ### setModifiedAdmission

    public void setModifiedAdmission(ModifyAdmissionType value)
    Sets the value of the modifiedAdmission property.
    Parameters:
      `value` - allowed object is `ModifyAdmissionType`
    See Also:
      - `getModifiedAdmission()`